<?php

require_once 'module-controller.php';

add_action('wp_ajax_process_form', 'process_form');
add_action('wp_ajax_nopriv_process_form', 'process_form');

function process_form() {
    $formData = $_POST['formData'];

    // Получаем обработчик с цепочкой декораторов
    $handler = FormHandlerFactory::getHandler();
    
    // Обрабатываем форму (отправляем в несколько сервисов)
    $response = $handler->handle($formData);

    wp_send_json($response);
}


?>